Subject: Re: [PATCH v3 tip/core/rcu 0/14] Sparse-related updates for 3.13

From: "Paul E. McKenney" <[email-masked]>
Date: Sat, 12 Oct 2013 10:13:45 -0700

On Fri, Oct 11, 2013 at 11:53:27PM -0700, Josh Triplett wrote:
> On Fri, Oct 11, 2013 at 04:16:59PM -0700, Paul E. McKenney wrote:
> > Changes from v2:
> > 
> > o	Switch from rcu_assign_pointer() to ACCESS_ONCE() given that
> > 	the pointers are all --rcu and already visible to readers,
> > 	as suggested by Eric Dumazet and Josh Triplett.
> 
> Hang on a moment.  Do *none* of these cases need write memory barriers?

Sigh.  Some afternoons it doesn't pay to touch the keyboard.

Thank you for catching this.  I will fix, but at this point, I am thinking
in terms of 3.14 rather than 3.13 for this series.

							Thanx, Paul